/**************************************************************************
 *   Copyright (C) 2009-2010 by Peter Semiletov                            *
 *   peter.semiletov@gmail.com                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef IMG_VIEWER_H
#define IMG_VIEWER_H

#include <QtGui>


class CViewerWindow: public QWidget
{  
  Q_OBJECT

public:

  qreal angle;
  int scale; //percents
  
  QFileInfoList fi;
  QString file_name;
  int current_index;
   
  QLabel *img_full;
   
  CViewerWindow (QWidget *parent = 0);
  void show_image (const QString &fname);
  void show_again();
   
protected:

  void keyPressEvent (QKeyEvent *event);    
   
};


class CImgViewer: public QObject
{
  Q_OBJECT

public:

  CViewerWindow window_full;

  void set_image_full (const QString &fname);
};

#endif // IMG_VIEWER_H
